<?php
	$StrNom=V($_POST['TxtNom']);
	$StrObs=V($_POST['TxtObs']);
	$StrDir=V($_POST['TxtDir']);
	$StrRes=V($_POST['CheRes']);
	$StrBus=V($_POST['CheBus']);
//ACTIVAR DESDE OTRA PAGINA
	if(strlen($StrId)==0){
		$StrId=V($_GET['Id']);
		if(is_numeric($StrId)==false){
			$StrId="";
		}else{
			$StrCmd="AR";
			$LStrPag=V($_GET['Pag']);
			if(!is_numeric($LStrPag)){
				$LStrPag="";
			}
		}
	}	
//****************************************************************
	if(strlen($StrId)>0 && $StrCmd=="AR"){
		$Id=$StrId;
		$StrNom=gs("alm_nombre","almacenes","id_almacen=$Id");		
		$StrObs=gs("alm_obs","almacenes","id_almacen=$Id");
		$StrDir=gs("alm_Dir","almacenes","id_almacen=$Id");	
		$StrRes=gs("alm_restringir","almacenes","id_almacen=$Id");
		$StrBus=gs("alm_bus_a","almacenes","id_almacen=$Id");	
		//
		$LStrFoc="document.getElementById('TxtNom').focus();";		
	}	
//****************************************************************
	if($StrCmd=="G"){
		if(GetC("almacenes","alm_nombre='$StrNom'")>0){
			$LStrMsg="Nombre del almacen ya esta registrado";
			$LStrFoc="document.getElementById('TxtNom').focus();";						
			$StrGT="S";
		}
		if(strlen($StrGT)==0){
			$Id=GenId("id_almacen","almacenes");
			$s="INSERT INTO almacenes VALUES ($Id,'$StrNom','$StrObs','$StrDir','$StrRes','$StrBus')";
			ejt($s);
			//
			ejt("DELETE FROM stocks WHERE id_almacen=$Id");
			$s="SELECT id_producto FROM productos ORDER by id_producto";
			$result = grs($s);
			while ($row = $result->fetch_row()){
				STOCK_ADD($Id,$row[0],0);
				$ID_MIN=GenId("id_stockm","stockm");
				$s="INSERT INTO stockm VALUES ($ID_MIN,$Id,$row[0],0)";
				ejt($s);
			}
			//
			if($LStrMM=="S")	$LStrMsg="Datos registrados";
			$LStrFoc="document.getElementById('TxtNom').focus();";
			$StrCmd="L";
		}
	}
//****************************************************************
	if($StrCmd=="M"){
		if(GetC("almacenes","alm_nombre='$StrNom' AND id_almacen<>$StrId")>0){
			$LStrMsg="Nombre del almacen ya esta registrado";
			$LStrFoc="document.getElementById('TxtNom').focus();";						
			$StrGT="S";
		}		
		if(strlen($StrGT)==0){
			$s="UPDATE almacenes SET 
				alm_nombre='$StrNom',
				alm_obs='$StrObs',
				alm_dir='$StrDir',
				alm_restringir='$StrRes',
				alm_bus_a='$StrBus'
				WHERE id_almacen=$StrId";	
			ejt($s);

			if($LStrMM=="S")	$LStrMsg="Datos actualizados";
			$LStrFoc="document.getElementById('TxtNom').focus();";
			$StrCmd="L";
		}
	}

//****************************************************************
	if($StrCmd=="E"){
		
		if(GetC("caja_chica","id_almacen=$StrId")>0){
			$LStrMsg="El presente registro esta	relacionado con un registro de aja chica y no se puede eliminar";
			$LStrFoc="document.getElementById('TxtNom').focus();";						
			$StrGT="S";			
		}
		
		if(GetC("ventas","id_alm=$StrId")>0){
			$LStrMsg="El presente registro esta	relacionado con una o mas ventas y no se puede eliminar";
			$LStrFoc="document.getElementById('TxtNom').focus();";						
			$StrGT="S";			
		}
		
		if(GetC("compras","id_almacen=$StrId")>0){
			$LStrMsg="El presente registro esta	relacionado con una o mas Compras y no se puede eliminar";
			$LStrFoc="document.getElementById('TxtNom').focus();";						
			$StrGT="S";			
		}
		
		if(GetC("transferencias","id_alm_o=$StrId")>0){
			$LStrMsg="El presente registro esta	relacionado con una o mas Transferencias y no se puede eliminar";
			$LStrFoc="document.getElementById('TxtNom').focus();";						
			$StrGT="S";			
		}

		if(GetC("transferencias","id_alm_d=$StrId")>0){
			$LStrMsg="El presente registro esta	relacionado con una o mas Transferencias y no se puede eliminar";
			$LStrFoc="document.getElementById('TxtNom').focus();";						
			$StrGT="S";			
		}
		
		if(GetC("ajustes","id_alm=$StrId")>0){
			$LStrMsg="El presente registro esta	relacionado con una o mas Transferencias y no se puede eliminar";
			$LStrFoc="document.getElementById('TxtNom').focus();";						
			$StrGT="S";			
		}
		
		if(GetC("guias","id_almacen=$StrId")>0){
			$LStrMsg="El presente registro esta	relacionado con una o mas Guias y no se puede eliminar";
			$LStrFoc="document.getElementById('TxtNom').focus();";						
			$StrGT="S";			
		}
		
		if(GetC("ingresos","id_alm=$StrId")>0){
			$LStrMsg="El presente registro esta	relacionado con una o mas Ingresos y no se puede eliminar";
			$LStrFoc="document.getElementById('TxtNom').focus();";						
			$StrGT="S";			
		}
		
		if(GetC("egresos","id_alm=$StrId")>0){
			$LStrMsg="El presente registro esta	relacionado con una o mas Egresos y no se puede eliminar";
			$LStrFoc="document.getElementById('TxtNom').focus();";						
			$StrGT="S";			
		}
		
		if(strlen($StrGT)==0){
			$s="DELETE FROM almacenes WHERE id_almacen=$StrId";	
			ejt($s);
			if($LStrMM=="S")	$LStrMsg="Registro Eliminado";
			$LStrFoc="document.getElementById('TxtNom').focus();";
			$StrCmd="L";
		}
	}
//****************************************************************
	if($StrCmd=="R"){
		$s="UPDATE almacenes SET alm_restringir='1'";	
		ejt($s);
		//
		$LStrMsg="Restringir Ventas por Stock Aplicado para todos los Almacenes";
		$LStrFoc="document.getElementById('TxtNom').focus();";
		$StrCmd="L";
		
	}
//****************************************************************
	if($StrCmd=="B"){
		$s="UPDATE almacenes SET alm_bus_a='1'";	
		ejt($s);
		//
		$LStrMsg="Filtrar Descripcion Avanzado Aplicado para todos los Almacenes";
		$LStrFoc="document.getElementById('TxtNom').focus();";
		$StrCmd="L";
		
	}
//****************************************************************
	if($StrCmd=="L"){
		$StrId="";
		$StrNom="";
		$StrObs="";
		$StrDir="";
		$StrRes="";
		$StrBus="";
	}
//****************************************************************

	if($StrGT=="S"){
		if(strlen($LStrMsg)>0){
			if(strlen($LStrFoc)==0){
				$LStrMsg="onload=\"alert('$LStrMsg');\"";
			}else{
				$LStrMsg="onload=\"alert('$LStrMsg');$LStrFoc;\"";
			}
		}else{
			if(strlen($LStrFoc)>0){
				$LStrMsg="onload=\"$LStrFoc;\"";
			}
		}
	}else{
		$LStrFoc="document.getElementById('TxtNom').focus();";
		$LStrMsg="onload=\"$LStrFoc;\"";
	}
?>